## q2templates 2024.5.0+ds

=== Makefile ===
.PHONY: all lint test install dev clean distclean

PYTHON ?= python

all: ;

lint:
	q2lint
	flake8

test: all
	py.test

install: all
	$(PYTHON) setup.py install

dev: all
	pip install -e .

clean: distclean

distclean: ;

## q2templates 2019.10.0%2Bdfsg

=== debian/changelog ===
q2templates (2019.10.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #930151)

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Tue, 12 Nov 2019 08:10:21 +0100

=== debian/control ===
Source: q2templates
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               python3-setuptools,
               python3-pytest,
               python3-pandas,
               python3-jinja2
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/q2templates
Vcs-Git: https://salsa.debian.org/med-team/q2templates.git
Homepage: https://qiime2.org/

Package: q2templates
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-setuptools,
         python3-pandas,
         python3-jinja2,
         libjs-bootstrap,
         libjs-jquery,
         node-normalize.css
Description: Design template package for QIIME 2 Plugins
 QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
 package with a focus on data and analysis transparency. QIIME 2 enables
 researchers to start an analysis with raw DNA sequence data and finish with
 publication-quality figures and statistical results.
 Key features:
  * Integrated and automatic tracking of data provenance
  * Semantic type system
  * Plugin system for extending microbiome analysis functionality
  * Support for multiple types of user interfaces (e.g. API, command line,
 graphical)
 .
 QIIME 2 is a complete redesign and rewrite of the QIIME 1 microbiome analysis
 pipeline. QIIME 2 will address many of the limitations of QIIME 1, while
 retaining the features that makes QIIME 1 a powerful and widely-used analysis
 pipeline.
 .
 QIIME 2 currently supports an initial end-to-end microbiome analysis pipeline.
 New functionality will regularly become available through QIIME 2 plugins. You
 can view a list of plugins that are currently available on the QIIME 2 plugin
 availability page. The future plugins page lists plugins that are being
 developed.

## q2templates 2019.10.0+dfsg

=== debian/changelog ===
q2templates (2019.10.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Reintroduce option to build time test (after fixing typo)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Apr 2020 09:57:31 +0200

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export PYBUILD_AFTER_INSTALL=\
	ln -s /usr/share/javascript/bootstrap/js/bootstrap.min.js \
	    {destdir}/{install_dir}/q2templates/templates/assets/js/bootstrap.min.js; \
	ln -s /usr/share/javascript/jquery/jquery.min.js \
	    {destdir}/{install_dir}/q2templates/templates/assets/js/jquery.min.js; \
	ln -s /usr/share/javascript/bootstrap/css/bootstrap.min.css \
	    {destdir}/{install_dir}/q2templates/templates/assets/css/bootstrap.min.css; \
	ln -s /usr/share/javascript/normalize.css/normalize.css \
	    {destdir}/{install_dir}/q2templates/templates/assets/css/normalize.css; \
	ln -s /usr/share/javascript/bootstrap/fonts \
	    {destdir}/{install_dir}/q2templates/templates/assets/fonts

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3"
endif

## q2templates 2020.11.1%2Bdfsg

=== debian/changelog ===
q2templates (2020.11.1+dfsg-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * New upstream version (Closes: #950931)
  * Trim trailing whitespace.
  * Override breakout-link; affected files are architecture independent.
  * Added autopkgtest.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 12 Dec 2020 18:41:58 +0100

q2templates (2020.11.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * d/u/metadata: Added ref to conda, yamllint

 -- Steffen Moeller <moeller@debian.org>  Wed, 02 Dec 2020 17:38:35 +0100

## q2templates 2020.11.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: q2templates
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>
+Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
+           Étienne Mollier <etienne.mollier@mailoo.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-setuptools,
                python3-pytest,
                python3-pandas,
                python3-jinja2
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2templates
 Vcs-Git: https://salsa.debian.org/med-team/q2templates.git
 Homepage: https://qiime2.org/
+Rules-Requires-Root: no
 
 Package: q2templates
 Architecture: all
@@ -48,3 +50,5 @@
  can view a list of plugins that are currently available on the QIIME 2 plugin
  availability page. The future plugins page lists plugins that are being
  developed.
+ .
+ This package provides templates for QIIME 2 plugins.

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz, \
  filenamemangle=s/.*\/archive\/(\d[\d.]+@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
  https://github.com/qiime2/q2templates/releases/latest .*/archive/(\d[.\d]+)@ARCHIVE_EXT@

## q2templates 2021.8.0%2Bds

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,8 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3"
 endif
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf .pybuild
+	rm -f q2templates.egg-info/PKG-INFO q2templates.egg-info/SOURCES.txt q2templates.egg-info/dependency_links.txt q2templates.egg-info/not-zip-safe q2templates.egg-info/top_level.txt

## q2templates 2021.8.0+ds

=== debian/changelog ===
q2templates (2021.8.0+ds-1) unstable; urgency=medium

  [ Étienne Mollier ]
  * d/watch: fixed broken reference to github
  * d/control: updated uploader address

  [ Steffen Moeller ]
  * New upstream version.
  * Standards-Version: 4.6.0 (routine-update)
  * d/u/metadata: Cosmetics.
  * d/watch:
    - Cosmetics.
    - Repacking as xz (saves ~40%) 
    - Introducing +ds suffix
  * Added SM to uploaders.

 -- Steffen Moeller <moeller@debian.org>  Mon, 27 Sep 2021 13:35:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: q2templates
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
-           Étienne Mollier <etienne.mollier@mailoo.org>
+           Étienne Mollier <emollier@debian.org>,
+           Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -11,7 +12,7 @@
                python3-pytest,
                python3-pandas,
                python3-jinja2
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/q2templates
 Vcs-Git: https://salsa.debian.org/med-team/q2templates.git
 Homepage: https://qiime2.org/

=== debian/watch ===
version=4
opts="repack,repacksuffix=+ds,dversionmangle=auto,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/qiime2/q2templates/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## q2templates 2022.2.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-pytest,
                python3-pandas,
                python3-jinja2
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2templates
 Vcs-Git: https://salsa.debian.org/med-team/q2templates.git
 Homepage: https://qiime2.org/

## q2templates 2022.2.0+ds

=== debian/changelog ===
q2templates (2022.2.0+ds-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Thu, 30 Jun 2022 18:52:23 +0200

## q2templates 2022.8.0+ds

=== debian/changelog ===
q2templates (2022.8.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest with pandas 1.5
    Closes: #1024821
  * Verify link to jquery.min.js
    Closes: #994459

 -- Andreas Tille <tille@debian.org>  Fri, 09 Dec 2022 21:43:27 +0100

q2templates (2022.8.0+ds-1) unstable; urgency=medium

  * New upstream version 2022.8.0+ds
  * d/salsa-ci.yml: Disable reprotest

 -- Nilesh Patra <nilesh@debian.org>  Mon, 05 Sep 2022 20:10:40 +0530

## q2templates 2022.11.1+ds

=== debian/changelog ===
q2templates (2022.11.1+ds-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 18:39:30 +0100

q2templates (2022.11.1+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jan 2023 18:28:34 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-pytest,
                python3-pandas,
                python3-jinja2
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2templates
 Vcs-Git: https://salsa.debian.org/med-team/q2templates.git
 Homepage: https://qiime2.org/

## q2templates 2024.2.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
                python3-setuptools,
                python3-pytest,

## q2templates 2024.2.0+ds

=== debian/changelog ===
q2templates (2024.2.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 12:30:22 +0100

q2templates (2023.9.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Fix for pandas 2.0 (thanks a lot for the hint to s3v)
    Closes: #1044068
  * Replace SafeConfigParser which is deprecated in Python3.12

 -- Andreas Tille <tille@debian.org>  Fri, 16 Feb 2024 17:39:14 +0100

q2templates (2023.9.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 29 Jan 2024 18:33:28 +0100

q2templates (2023.7.0+ds-1) unstable; urgency=medium

  * New upstream version 2023.7.0+ds
  * d/copyright: bump copyright year.

 -- Étienne Mollier <emollier@debian.org>  Sat, 19 Aug 2023 11:39:26 +0200

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	    {destdir}/{install_dir}/q2templates/templates/assets/fonts
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## q2templates 2024.5.0+ds

=== debian/changelog ===
q2templates (2024.5.0+ds-4) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * d/rules: replace old py.test-3 symlink with canonical program.

  [ Adrian Bunk ]
  * Backport upstream change to move away from python3-pkg-resources.
    (Closes: #1125825)

  [ Santiago Vila ]
  * Drop "Rules-Requires-Root: no" (default).
  * Drop "Priority: optional" (default).
  * Update standards-version.
  * Disable redundant/duplicate salsa ci jobs.

 -- Santiago Vila <sanvila@debian.org>  Tue, 03 Mar 2026 20:55:00 +0100

q2templates (2024.5.0+ds-3) unstable; urgency=medium

  * Team upload.
  * Lessen runtime dependency python3-setuptools -> python3-pkg-resources

 -- Alexandre Detiste <tchet@debian.org>  Sun, 26 Jan 2025 21:20:05 +0100

q2templates (2024.5.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * d/patches/pandas2.0.patch: dropped, applied upstream

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 25 Jun 2024 03:00:51 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
            Étienne Mollier <emollier@debian.org>,
            Steffen Moeller <moeller@debian.org>
 Section: science
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3,
@@ -12,18 +11,16 @@
                python3-pytest,
                python3-pandas,
                python3-jinja2
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/q2templates
 Vcs-Git: https://salsa.debian.org/med-team/q2templates.git
 Homepage: https://qiime2.org/
-Rules-Requires-Root: no
 
 Package: q2templates
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
-         python3-setuptools,
          python3-pandas,
          python3-jinja2,
          libjs-bootstrap,

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3"
+	dh_auto_test -- -s custom --test-args="cd {build_dir}; pytest"
 endif
 
 override_dh_auto_clean:
